Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.SecurityHandler Class Reference
Inheritance diagram for FoxitPDFSDKPython2.SecurityHandler:

## Public Member Functions
def | SecurityHandler ()
| Constructor.
def | SecurityHandler (other)
| Constructor, with another security handler object. More...
def | GetSecurityType ()
| Get the encryption type of current security handler. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Static Public Attributes
| e_CipherAES = _fsdk.SecurityHandler_e_CipherAES
| Use AES encryption algorithm, with the key length be 16 bytes (as AES-128) or 32 bytes (as AES-256, only supported in PDF 2.0).
| e_CipherNone = _fsdk.SecurityHandler_e_CipherNone
| Not use encryption algorithm.
| e_CipherRC4 = _fsdk.SecurityHandler_e_CipherRC4
| Use RC4 encryption algorithm, with the key length between 5 bytes and 16 bytes.

## Detailed Description

Class SecurityHandler is the base class that represents a security hander used for encrypting PDF document. It has following derived classes:

- Class StdSecurityHandler is used for password encryption.

- Class CertificateSecurityHandler is used for certificate encryption.

- Class DRMSecurityHandler is used for DRM encryption.

- Class CustomSecurityHandler is used for custom encryption.

- Class RMSSecurityHandler is used for RMS encryption.

To set a security handler to a PDF document, please call function FoxitPDFSDKPython2.PDFDoc.SetSecurityHandler , then the security handler will take effect in later saving process. To get the security handler used for a PDF document, please call function FoxitPDFSDKPython2.PDFDoc.SetSecurityHandler .

See also
  StdSecurityHandler
  CertificateSecurityHandler
  DRMSecurityHandler
  CustomSecurityHandler
  RMSSecurityHandler
  PDFDoc

## Constructor & Destructor Documentation

## ◆ SecurityHandler()

def FoxitPDFSDKPython2.SecurityHandler.SecurityHandler | ( |  | other | ) |

Constructor, with another security handler object.

Parameters

  [in] | other | Another security handler object.

## Member Function Documentation

## ◆ GetSecurityType()

def FoxitPDFSDKPython2.SecurityHandler.GetSecurityType | ( |  | ) |

Get the encryption type of current security handler.

Returns
  The encryption type. If current security handler object does not represent any specified type of security handler, it would return FoxitPDFSDKPython2.PDFDoc.e_EncryptUnknown .

## ◆ IsEmpty()

def FoxitPDFSDKPython2.SecurityHandler.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.